Skip to main content
GET
/
cases
/
{caseId}
/
actions
List durable case actions
curl --request GET \
  --url https://core.us.api.frayme.io/cases/{caseId}/actions \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://core.us.api.frayme.io/cases/{caseId}/actions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://core.us.api.frayme.io/cases/{caseId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "actions": [
    {
      "brokerId": "sumsub",
      "id": "regenerate_share_token",
      "label": "Regenerate Share Token"
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

X-API-Key
string
header
required

A tenant-scoped API key provisioned by Frayme.

Path Parameters

caseId
string
required

The case identifier returned by POST /cases.

Response

The durable actions.

actions
object[]